Skip to main content
GET
/
v1
/
leads
/
qualification_configurations
/
{id}
Retrieve a leads qualification configuration
curl --request GET \
  --url https://api.yorlet.com/v1/leads/qualification_configurations/{id} \
  --header 'Authorization: <api-key>'
{
  "id": "<string>",
  "created": 123,
  "object": "leads.qualification_configuration",
  "active": true,
  "after_completion": {
    "hosted_confirmation": {
      "custom_message": "<string>"
    },
    "redirect": {
      "url": "<string>"
    }
  },
  "default": true,
  "description": "<string>",
  "hosted_qualification_url": "<string>",
  "name": "<string>",
  "questions": {
    "move_in_date": {
      "enabled": true,
      "required": false
    },
    "budget": {
      "enabled": true,
      "required": false,
      "min_budget": null,
      "max_budget": null
    },
    "household": {
      "enabled": true,
      "required": false,
      "ask_occupants": true,
      "ask_children": false,
      "max_occupants": null
    },
    "pets": {
      "enabled": true,
      "required": false,
      "allowed": true,
      "allowed_types": null,
      "max_pets": null
    },
    "employment": {
      "enabled": true,
      "required": false,
      "ask_employer": false,
      "ask_income": false,
      "accepted_statuses": [
        "employed",
        "self_employed",
        "student",
        "retired",
        "benefits",
        "other"
      ]
    },
    "smoking": {
      "enabled": false,
      "required": false,
      "non_smokers_only": false
    },
    "current_situation": {
      "enabled": false,
      "required": false,
      "ask_reason_for_moving": false,
      "ask_current_landlord": false
    },
    "right_to_rent": {
      "enabled": false,
      "required": false
    },
    "guarantor": {
      "enabled": false,
      "required": false
    }
  },
  "custom_questions": [
    {
      "id": "<string>",
      "label": "<string>",
      "options": [
        "<string>"
      ],
      "required": false
    }
  ],
  "account": "<string>",
  "deleted": false,
  "metadata": {}
}

Authorizations

Authorization
string
header
required

API Key authentication. Use "Bearer YOUR_API_KEY".

Path Parameters

id
string
required

The id identifier.

Response

200 - application/json

Returns a leads qualification configuration object if a valid identifier was provided.

id
string
required

Unique identifier for the object.

created
number
required

Time at which the object was created. Measured in seconds since the Unix epoch.

object
enum<string>
required
Available options:
leads.qualification_configuration
active
boolean
required

Whether the qualification configuration is active.

after_completion
object
required

Configuration for after the qualification is completed.

default
boolean
required

Whether this is the default qualification configuration.

description
string | null
required

An arbitrary description attached to the object.

hosted_qualification_url
string<uri> | null
required

The URL for the hosted qualification form.

name
string
required

The name of the qualification configuration.

questions
object
required

Set of standard qualification questions to ask leads.

custom_questions
object[]
required

Custom freeform questions to ask leads.

account
string

The account that the object belongs to. Only returned if the request is made with a valid Yorlet-Context header.

deleted
boolean
default:false

Only returned if the object has been deleted.

metadata
object

Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format.